Cancel the Assembly Order
http
PATCH /api/v3/orders/{orderId}/cancelBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Assembly Orders · Specification doc ↗
Moves the assembly orders to cancel ("Canceled by the seller") status.
You can cancel an assembly order before it is handed over to Wildberries. To check whether an assembly order can be canceled, use the method for getting assembly order statuses and the isCancellable field.
Request limit per one seller account:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 100 requests | 600 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Responses
| Code | Description | Schema |
|---|---|---|
204 | Canceled | — |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
404 | Not found | Error |
409 | Error updating a status | Error |
429 | Too many requests | object |
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 404:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 409:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.patch_v3_orders_order_id_cancel(order_id=...)
print(result)ts
import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.patchV3OrdersOrderIdCancel(orderId);
console.log(data);go
import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.PatchV3OrdersOrderIdCancel(context.Background(), orderId).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.patchV3OrdersOrderIdCancel(orderId));php
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->patchV3OrdersOrderIdCancel($order_id));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.PatchV3OrdersOrderIdCancel(orderId).Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.PatchV3OrdersOrderIdCancel(orderId));rust
use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::patch_v3_orders_order_id_cancel(&cfg, order_id).await;
println!("{:#?}", result);
}